﻿using System;
using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 프로세스 정보
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public struct PROCESS_INFORMATION
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 프로세스 핸들
        /// </summary>
        public IntPtr ProcessHandle;

        /// <summary>
        /// 스레드 핸들
        /// </summary>
        public IntPtr ThreadHandle;

        /// <summary>
        /// 프로세스 ID
        /// </summary>
        public int ProcessID;

        /// <summary>
        /// 스레드 ID
        /// </summary>
        public int ThreadID;

        #endregion
    }
}